Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename css-tree

# missing dependencies for tests
%global enable_tests 0

%global prerelease alpha
%global prerelease_level 24

Name:		nodejs-css-tree
Version:	1.0.0
Release:	alt1_3%{?prerelease:.%{prerelease}}%{?prerelease:%{prerelease_level}}.1
Summary:	Fast detailed CSS parser

License:	MIT
URL:		https://github.com/csstree/csstree
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}%{?prerelease:-%{prerelease}}%{?prerelease:%{prerelease_level}}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(mdn-data)
BuildRequires:	npm(source-map)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ajv)
%endif
Source44: import.info

%description
Fast detailed CSS parser


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package

chmod -x data/index.js

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ data/ dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_3.alpha24.1
- new version

